//package comprti;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import javax.swing.event.*;
import java.net.*;
import java.io.*;

import comprti.*;
/** 
* 
* @see 
* @author 
*/
public class RTIContextView extends JButton implements MouseListener, ActionListener {
  JPopupMenu           popup;
  JRadioButtonMenuItem activate = null;
  JRadioButtonMenuItem deactivate = null;
  JRadioButtonMenuItem remove = null;
  RTIContextImpl       control;
  public RTIContextView(RTIContextImpl _control, String text, ImageIcon img) {
    super(text,img);
    control=_control;     
    setBackground(Color.pink); 
    setVerticalTextPosition(AbstractButton.BOTTOM);
    setHorizontalTextPosition(AbstractButton.CENTER);   
    addActionListener(this);addMouseListener(this);    
    definePopup();
  }// end of CONSTRUCTOR
  void definePopup(){
    popup = new JPopupMenu();
    ButtonGroup bGroup = new ButtonGroup();
    activate = new JRadioButtonMenuItem("activate");
    deactivate = new JRadioButtonMenuItem("deactivate");
    remove = new JRadioButtonMenuItem("remove");
    activate.addActionListener(this);
    deactivate.addActionListener(this);
    remove.addActionListener(this);
    popup.add(activate);popup.add(deactivate);popup.add(remove);
    bGroup.add(activate);bGroup.add(deactivate);bGroup.add(remove);
  }// end of definePopup()
  public void setControl(RTIContextImpl _control) { control=_control; }
  public void mousePressed(MouseEvent e) { maybeShowPopup(e); }
  public void mouseReleased(MouseEvent e) { maybeShowPopup(e);  }
  public void mouseClicked(MouseEvent e) {  }
  public void mouseEntered(MouseEvent e) { }
  public void mouseExited(MouseEvent e) { }
  public void maybeShowPopup(MouseEvent e) 
  { if(e.isPopupTrigger()) popup.show(e.getComponent(),e.getX(),e.getY()); }
  public void actionPerformed(ActionEvent e) {
     if( e.getSource() instanceof JMenuItem ) {
        JMenuItem source = (JMenuItem)(e.getSource());
        System.out.println(" action :"+source.getText());
        if( source == activate ) control.doActivate();
        else if( source == deactivate ) control.doDeactivate();
        else if( source == remove ) control.doRemove();
     }
  }// end of actionPerformed()
}// end of class RTIContextView 
