package comprti.cback;

import  java.util.*;
import  comprti.msg.*;
import  comprti.*;
/** 
* @see MessageHandler
* @author H. Timucin Ozdemir
* @date August 6, 1999 (Updated on August 7, 1999)
*/
public class CallbackInvoker {
  MessageHandler target;
  public CallbackInvoker(MessageHandler _target) throws IllegalArgumentException { 
    if (_target == null) throw new IllegalArgumentException(" MessageHandler object is NULL"); 
    target=_target;
  } 
  protected MessageHandler getTarget() { return target; }
  public void invoke(Message inMsg) { if(target!=null) target.handleMessage(inMsg); }
} // end of class CallbackInvoker 
