package lrti;
import  util.*;
import  comprti.cback.*;
import  comprti.*;
import  java.util.*;
/** 
* @see 
* @author 
*/
public class CallbackRepositoryFactory {

  public static CallbackRepository 
  getAttributeCallbackRepository(MessageHandler _target,CallbackRegistry cRegs) {
   CallbackRepository ret = new CallbackRepository(_target);
   Enumeration e = cRegs.getEntryKeys();
   if(e!=null&&e.hasMoreElements()) updateAttributeCallbackRepository(ret,cRegs,e);
   return ret;
  }// end of getCallbackRepository()

  public static void 
  updateAttributeCallbackRepository( CallbackRepository ret,
                                     CallbackRegistry cRegs, Enumeration e) {
   String qName, cbName;
   while(e.hasMoreElements()) 
     if( (qName=(String)e.nextElement())!=null &&
         (cbName=cRegs.getCallback(qName))!=null ) 
         ret.addCallbackForAttribute( qName.substring(0,qName.lastIndexOf('.')),
                                      qName.substring(qName.lastIndexOf('.')+1),
                                      cbName);
  }// end of updateAttributeCallbackRepository()

  public static CallbackRepository 
  getParameterCallbackRepository(MessageHandler _target,CallbackRegistry cRegs) {
   CallbackRepository ret = new CallbackRepository(_target);
   Enumeration e = cRegs.getEntryKeys();
   if(e!=null&&e.hasMoreElements()) updateAttributeCallbackRepository(ret,cRegs,e);
   return ret;
  }// end of getParameterCallbackRepository()

  public static void 
  updateParameterCallbackRepository( CallbackRepository ret,
                                     CallbackRegistry cRegs, Enumeration e) {
   String qName, cbName;
   while(e.hasMoreElements()) 
     if( (qName=(String)e.nextElement())!=null &&
         (cbName=cRegs.getCallback(qName))!=null ) 
         ret.addCallbackForParameter( qName.substring(0,qName.lastIndexOf('.')),
                                      qName.substring(qName.lastIndexOf('.')+1),
                                      cbName);
  }// end of updateParameterCallbackRepository()

} // end of class CallbackRepositoryFactory

