package lrti;
import java.util.*;
/** 
* @see 
* @author 
*/
public class ObjectInstanceMapper {
  Hashtable remoteid_to_ir = new Hashtable();
  Hashtable localid_to_ir  = new Hashtable();
  public ObjectInstanceMapper() {}
  public int registerRemoteObject(int objectid, short objType) {
    InstanceRecord a=(InstanceRecord)remoteid_to_ir.get(new Integer(objectid));
    if(a==null) a=addRemoteInstance(objectid,objType);
    return a.getLocalId();
  }// end of registerRemoteObject()
  public int getRemoteId(int localid) {
    InstanceRecord a=(InstanceRecord)localid_to_ir.get(new Integer(localid));
    return (a==null?-1:a.getRemoteId());
  }// end of getRemoteId()  
  public int getRemoteInstanceType(int objectid) {
    InstanceRecord a=(InstanceRecord)remoteid_to_ir.get(new Integer(objectid));
    return (a==null?-1:a.getObjectClassTypeCode());
  }// end of getRemoteInstanceType() 
  synchronized InstanceRecord addRemoteInstance(int objectid, short objType) {
     InstanceRecord a = new InstanceRecord(remoteid_to_ir.size()+1,objectid,objType);
     remoteid_to_ir.put(new Integer(objectid),a);
     localid_to_ir.put(new Integer(a.getLocalId()),a);
     return a;
  }// end of addRemoteInstance() 
  class InstanceRecord {
    int   localId=-1;
    int   remoteId=-1;
    short objectClassTypeCode=-1; 
    public InstanceRecord(int _lId,int _rId, short _objectClassTypeCode) 
    { localId=_lId; remoteId=_rId; objectClassTypeCode=_objectClassTypeCode; }
    int   getLocalId()             { return localId; } 
    int   getRemoteId()            { return remoteId; } 
    short getObjectClassTypeCode() { return objectClassTypeCode; } 
  }// end of InstanceRecord()
} // end of class ObjectInstanceMapper

