package lrti.rtidb;

import java.util.*;

/** 
 * 
 * @see 
 * @author 
 */
public interface RTIObjectClassAttributeLookUp {
  int    getObjectClassId(String objectName) throws RTIDBException ;
  String getObjectClassName(int objectClassId) throws RTIDBException ;
  int    getAttributeId(String objectClassName,String attributeName)
         throws RTIDBException  ;
  int    getAttributeId(int objectClassId, String attributeName) 
         throws RTIDBException ;
  String getAttributeName(String objectClassName,int attributeId) 
         throws RTIDBException ;
  String getAttributeName(int objectClassId,int attributeId) 
         throws RTIDBException ;
  void   addObjectClass(String objectName, int objectClassId);
  void   addAttribute(String objectName,String attributeName,int attributeId)
         throws RTIDBException ;
} // end of class RTIObjectClassAttributeLookUp

