package lrti.rtidb.inmem;

import java.util.*;

/** 
 * 
 * @see 
 * @author 
 */
public class RTIInteractionClassRecord {
  String interactionClassName;
  int    id;
  Hashtable parameterName_to_id = new Hashtable();
  Hashtable id_to_parameterName = new Hashtable();

  public RTIInteractionClassRecord(String _interactionClassName, int _id) 
  { interactionClassName=_interactionClassName; id = _id; }// 

  public int getInteractionClassId() { return id; }
  public String getInteractionClassName() { return interactionClassName; }

  public int getParameterId(String paramName) {
    int ret=-1;
    Integer aRec = (Integer)parameterName_to_id.get(paramName);
    if(aRec!=null) ret=aRec.intValue();
    return ret;
  }

  public String getParameterName(int paramId) 
  { return (String)id_to_parameterName.get(new Integer(paramId)); }

  public void addParameter(String paramName, int paramId) {
    parameterName_to_id.put(paramName,new Integer(paramId));
    id_to_parameterName.put(new Integer(paramId),paramName);
  }

} // end of class RTIInteractionClassRecord

