package util.inmem;
import  util.CallbackRegistry;
import  java.util.Hashtable;
import  java.util.Enumeration;
import  java.io.PrintStream;
/** 
* @see 
* @author 
*/
public class InMemCallbackRegistry implements CallbackRegistry {
  Hashtable maps = new Hashtable();
  public InMemCallbackRegistry() {}
  public void addCallback(String qualifiedName, String methodName){
    if(qualifiedName!=null&&methodName!=null&&!maps.contains(qualifiedName)) 
       maps.put(qualifiedName,methodName);
  }
  public Enumeration getEntryKeys() { return maps.keys(); }
  public String getCallback(String qualifiedName) 
  { return (qualifiedName!=null?(String)maps.get(qualifiedName):null); }
  public void print(PrintStream o) {
    String qName, cmName; Enumeration e = maps.keys();
    while( e.hasMoreElements() ) 
      if( (qName=(String)e.nextElement())!=null &&
          (cmName=(String)maps.get(qName))!=null ) 
          o.println(">map("+qName+")="+cmName); 
  }// end of print()
}// end of InMemCallbackRegistry
