package comprti;
import  java.util.*;
import  comprti.msg.*;

/** 
* @see Message, MessagePublisher 
* @author H. Timucin Ozdemir
* @date August 6, 1999 (Updated on August 7, 1999)
*/
public class MessagePusher extends BaseMessagePublisher {
  MessagePublisher q0,q1,q2,rti;
  public MessagePusher(MessagePublisher _q0,MessagePublisher _q1,
                       MessagePublisher _q2,MessagePublisher _rti) 
  { q0=_q0;q1=_q1;q2=_q2;rti=_rti; }
  protected void dispatch(Message inMsg) {
    if( inMsg instanceof DiscoverObjectMessage ||
        inMsg instanceof DeleteObjectMessage ) q0.push(inMsg);
    else if ( inMsg instanceof UpdateAttributeMessage) q1.push(inMsg);
    else if ( inMsg instanceof UpdateParameterMessage) q2.push(inMsg);
    if(rti!=null) rti.push(inMsg);
  }// end of dispatch()
} // end of class MessagePusher 
