package comprti;
import java.util.*;import java.awt.*;
import comprti.msg.*;
/** 
* @see MessageHandler, MessageFactory, MessagePublisher 
* @author H. Timucin Ozdemir 
* @date August 12, 1999 (Updated on August 12, 1999) 
*/
public interface RTIContext {
  
  RTIComponent getRTIComponent();
  Properties getProperties();
  String getProperty(String propertyName);
  public Component getView();
  public void registerMessageHandler(MessageHandler Hnd);
  public void registerMessageHandler(String federationName,MessageHandler Hnd);

  public MessageFactory getMessageFactory();
  public MessageFactory getMessageFactory(String federationName);
  public void setMessageFactory(String federationName, MessageFactory in);
  public void setMessageFactory(MessageFactory in);

  public MessagePublisher getMessagePublisher();
  public MessagePublisher getMessagePublisher(String federationName);
  public void setMessagePublisher(String federationName, MessagePublisher in);
  public void setMessagePublisher(MessagePublisher in);

}// end of RTIContext interface
