package comprti.msg;
import  java.util.*;
import  comprti.*;
/** 
* @see 
* @author H. Timucin Ozdemir
* @date August 6, 1999 (Updated August 6, 1999)
*/
public class MessageFactory {
  //RTIComponent source;
  public DefineObjectMessage createDefineObjectMessage(String oName,int oid) 
  { return createDefineObjectMessage(null,oName,oid); }  

  public DefineObjectMessage createDefineObjectMessage(RTIComponent source, String oName,int oid) 
  { return new DefineObjectMessage(source,oName,oid); }  

  public DiscoverObjectMessage createDiscoverObjectMessage(String oName,int oid)
  { return createDiscoverObjectMessage(null,oName,oid); } 

  public DiscoverObjectMessage createDiscoverObjectMessage(RTIComponent source, String oName,int oid)
  { return new DiscoverObjectMessage(source,oName,oid); } 

  public DeleteObjectMessage createDeleteObjectMessage(String oName,int oid) 
  { return createDeleteObjectMessage(null,oName,oid); }  

  public DeleteObjectMessage createDeleteObjectMessage(RTIComponent source, String oName,int oid) 
  { return new DeleteObjectMessage(source,oName,oid); }  

  public UpdateAttributeMessage 
  createUpdateAttributeMessage(String oName,int oid,String aName, byte[] value) 
  { return createUpdateAttributeMessage(null,oName,oid,aName,value); }  

  public UpdateAttributeMessage 
  createUpdateAttributeMessage(RTIComponent source, String oName,int oid,String aName, byte[] value) 
  { return new UpdateAttributeMessage(source,oName,oid,aName,value); }  

  public UpdateParameterMessage 
  createUpdateParamaterMessage(String oName,String aName, byte[] value) 
  { return createUpdateParamaterMessage(null,oName,aName,value); }

  public UpdateParameterMessage 
  createUpdateParamaterMessage(RTIComponent source, String oName,String aName, byte[] value) 
  { return new UpdateParameterMessage(source,oName,aName,value); }

} // end of class MessageFactory 
