package lrti.rtidb.inmem;

import java.util.*;

/** 
 * 
 * @see 
 * @author 
 */
public class RTIObjectClassRecord {
  String objectClassName;
  int    id;
  Hashtable attributeName_to_id = new Hashtable();
  Hashtable id_to_attributeName = new Hashtable();

  public RTIObjectClassRecord(String _objectClassName, int _id) 
  { objectClassName=_objectClassName; id = _id; }// 

  public int getObjectClassId() { return id; }
  public String getObjectClassName() { return objectClassName; }

  public int getAttributeId(String attributeName) {
    int ret=-1;
    Integer aRec = (Integer)attributeName_to_id.get(attributeName);
    if(aRec!=null) ret=aRec.intValue();
    return ret;
  }

  public String getAttributeName(int attributeId) 
  { return (String)id_to_attributeName.get(new Integer(attributeId)); }

  public void addAttribute(String attributeName, int attributeId) {
    attributeName_to_id.put(attributeName,new Integer(attributeId));
    id_to_attributeName.put(new Integer(attributeId),attributeName);
  }

} // end of class RTIObjectClassRecord

