
import java.util.*;
import java.io.*;

// RTILauncher Stuff
import comprti.*;
import comprti.msg.*;

// Chat stuff
import chat.control.*;
import chat.gui.*;

/** 
*/
public class runChat1 implements RTIComponent {
  String fedName = "Chatter1";
  String name = "runChat1";
  ChatViewImpl2 window = null;
  ChatMessageHandler control;
  RTIContext cnt;
  MessagePublisher publish;
  public runChat1() { 
    //window.setVisible(true);
  }
  public void setContext(RTIContext _cnt) { 
    System.out.println(name+".setContext"); 
    cnt=_cnt;
    String myName = cnt.getProperty("MYNAME");
    control = new ChatMessageHandler(this,cnt,fedName);
    window = new ChatViewImpl2(control,myName);
    window.setTitle("ChatGUI/0.1 "+myName);
    window.setSize(550,260);
    control.setView(window);
    publish = cnt.getMessagePublisher(fedName);
    if(publish==null) System.out.println("publish is NULL for "+fedName);
    else              System.out.println("publish is *NOT* NULL for "+fedName);
    cnt.registerMessageHandler(fedName,control);
  };
  public void created()     { System.out.println(name+".created"); };
  public void activated()   { 
    if(window!=null)  window.setVisible(true);
    System.out.println(name+".activated"); 
  };
  public void deactivated() { 
    if(window!=null) window.setVisible(false);
    System.out.println(name+".deactivated");
  }
  public void removed()     { System.out.println(name+".removed"); };

  /*class ChatMessageHandler implements MessageHandler, ChatControl {
    ChatView view; 
    runChat1 boss;
    public ChatMessageHandler(runChat1 _boss) { boss=_boss; }
    public void setView(ChatView _view) { view=_view; }

    // ChatControl Interface
    public void doExit() {} ;
    public void doConnect() {} ;
    public void doDisconnect() {} ;
    public void doMail(String msg) {
      System.out.println("Mail:"+msg);
      if(cnt!=null) {
        MessageFactory msgFac = cnt.getMessageFactory(fedName);
        publish.push(msgFac.createUpdateParamaterMessage(boss,"Chatter","Message",msg.getBytes()));
      }// end of if
    } 
    public boolean isConnected() { return true; }
    // MessageHandler Interface
    public void handleMessage(Message inMsg) { 
      System.out.println("ChatMessageHandler.handleMessage("+inMsg+")!");
      if(inMsg instanceof comprti.msg.UpdateParameterMessage) {
        UpdateParameterMessage upm = (UpdateParameterMessage)inMsg; 
        //String msg = new String(upm.getValue());
        //System.out.println(upm.getInteractionClassName()+"."+upm.getParameterName()+": "+msg); 
        if(view!=null) view.addMessage(upm.getValue());
      }
    }
    public void setChatterMessage(byte[] msg) {
      String m = new String(msg);
      System.out.println("ChatMessageHandler.setChatterMessage("+m+")!");
      if(view!=null) view.addMessage(msg);
    }
  };*/

} /* end of class runChat1 */
