
import java.util.*;
import comprti.*;
import java.io.*;

import jdis.*;
import sgui.*;
import cmsper.*;
import cmsper.gui.*;

/** 
*/
public class runParCMSMon implements RTIComponent {
  String name = "runParCMSMon";
  CMSFrame cms = null;
  String  mCastAddress   = monitor.DEFAULT_MCAST;
  int     gPortNumber    = monitor.DEFAULT_MPORT;
  int     collectUdpPort = monitor.DEFAULT_COLLECTUDPPORT;
  RTIContext ctx;
  public runParCMSMon() { }
  public void setContext(RTIContext cnt) 
  { ctx=cnt;System.out.println(name+".setContext"); };
  public void created()     { 
    if(ctx!=null) processProperties();
    cms = new CMSFrame(mCastAddress,gPortNumber,collectUdpPort);
    System.out.println(name+".created"); 
  };
  public void activated()   { 
    if(cms!=null)  { cms.toFront(); cms.show(); }
    System.out.println(name+".activated"); 
  };
  public void deactivated() { 
    if(cms!=null) { cms.toBack(); cms.hide(); }
    System.out.println(name+".deactivated");
  }
  public void removed()     { System.out.println(name+".removed"); };
  void processProperties() {
    String  mcast = monitor.DEFAULT_MCAST;
    int     mport = monitor.DEFAULT_MPORT;
    int     cport = monitor.DEFAULT_COLLECTUDPPORT; 
    int     dummy;
    String  dval;
    dval=(String)ctx.getProperties().get(monitor.OPTION_MCAST);
    if(dval!=null) mCastAddress=dval;
    dval=(String)ctx.getProperties().get(monitor.OPTION_MPORT);
    if(dval!=null) 
       try { dummy=Integer.parseInt(dval); if(dummy>10) gPortNumber=dummy; }
       catch( NumberFormatException nfe) {}
    dval=(String)ctx.getProperties().get(monitor.OPTION_COLLECTUDPPORT);
    if(dval!=null) 
       try { dummy=Integer.parseInt(dval); if(dummy>10) collectUdpPort=dummy; }
       catch( NumberFormatException nfe) {}
  }// end of processProperties()

} /* end class runParCMSMon */
